Bug 1472305 - Exec[aodh-db-sync]: Could not find command 'aodh-dbsync', package openstack-aodh-api missing in the overcloud image
Exec[aodh-db-sync]: Could not find command 'aodh-dbsync', package openstack-a...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-aodh (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: z4
: 10.0 (Newton)
Assigned To: Pradeep Kilambi
Sasha Smolyak
: Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2017-07-18 08:25 EDT by Eduard Barrera
Modified: 2018-03-05 08:03 EST (History)
13 users (show)

See Also:
Fixed In Version: openstack-aodh-3.0.3-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-09-06 13:06:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
RDO 7860 None None None 2017-07-24 11:54 EDT
Launchpad 1656066 None None None 2017-07-18 08:25 EDT

  None (edit)
Description Eduard Barrera 2017-07-18 08:25:57 EDT
Description of problem:

We have this error when deploying newton:

    ^[[1;31mWarning: Unexpected line: Ring file /etc/swift/account.ring.gz not found, probably it hasn't been written yet^[[0m
    ^[[1;31mWarning: Unexpected line: Ring file /etc/swift/container.ring.gz not found, probably it hasn't been written yet^[[0m
    ^[[1;31mWarning: Unexpected line: Ring file /etc/swift/object.ring.gz not found, probably it hasn't been written yet^[[0m
    ^[[1;31mError: /Stage[main]/Aodh::Db::Sync/Exec[aodh-db-sync]: Failed to call refresh: Could not find command 'aodh-dbsync'^[[0m
    ^[[1;31mError: /Stage[main]/Aodh::Db::Sync/Exec[aodh-db-sync]: Could not find command 'aodh-dbsync'^[[0m

So it seems that there is no openstack-aodh-api installed, package that provides the specified binay

$ grep aodh installed-rpms 
openstack-aodh-common-3.0.2-1.el7ost.noarch                 Mon Jul 17 20:25:54 2017
puppet-aodh-9.5.0-1.el7ost.noarch                           Thu May  4 16:09:32 2017
python-aodh-3.0.2-1.el7ost.noarch                           Mon Jul 17 20:25:54 2017
python-aodhclient-0.7.0-1.el7ost.noarch                     Thu May  4 15:54:30 2017

$yum provide /usr/bin/aodh-dbsync

openstack-aodh-api-3.0.1-6.el7ost.noarch : OpenStack aodh api
Repo        : @rhos-10.0-signed
Matched from:
Filename    : /usr/bin/aodh-dbsync

Likely the same as: 

Version-Release number of selected component (if applicable):
openstack 10

How reproducible:

Steps to Reproduce:
1. Deploy openstack using custom roles

Actual results:
The specified error

Expected results:
No errors, deployment able to finidsh

Additional info:
Comment 5 Sasha Smolyak 2017-08-21 09:05:03 EDT
Deployment passes, no errors, looks fixed
Comment 12 errata-xmlrpc 2017-09-06 13:06:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 13 Amit Ugol 2017-09-11 04:44:04 EDT
already closed.

Note You need to log in before you can comment on or make changes to this bug.